#
# spec file for package libplatform
#
%define major 2
%define libname %mklibname platform %major
%define develname %mklibname -d platform 

Name:           libplatform
Version:        2.0.1
Release:        %mkrel 2
Summary:        Platform support library used by libCEC and binary add-ons for Kodi
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://github.com/Pulse-Eight/platform
Source:         https://github.com/Pulse-Eight/platform/archive/%name-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Platform support library used by libCEC and binary add-ons for Kodi.

%package -n %libname
Group:	System/Libraries
Summary:        Platform support library used by libCEC and binary add-ons for Kodi

%description -n %libname
Platform support library used by libCEC and binary add-ons for Kodi.

%package -n %develname
Group: Development/Libraries
Summary:        Platform support library used by libCEC development files
Requires:       %libname

%description -n %develname
Development files for platform support library used by libCEC.

%prep
%setup -q

%build
%cmake
%make

%install
rm -rf %buildroot

cd build

make DESTDIR=%buildroot install


%files -n %libname
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{version}
%{_libdir}/%{name}.so.%major.0

%files -n %develname
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_includedir}
%{_libdir}/pkgconfig/platform.pc
%{_libdir}/platform
%{_libdir}/platform/platform-config.cmake

%changelog
* Tue Mar 15 2022 tex - 2.0.1-2pclos2022
- rebuild against updates

* Mon Feb 22 2016 bb <bb> 2.0.1-1pclos2016
- update

* Sat Aug 22 2015 bb <bb> 1.0.10-1pclos2015
- update

* Wed Jul 22 2015 bb <bb> 1.0.9-1pclos2015
- create package
